" Vim syntax file
" Language:     Csound score
" Maintainer:   Istvan Varga
" Last change:  May 5 2002

syn	clear

" comments

syn	region	Comment	start="/\*" end="\*/"
syn	match	Comment ";.*$"

" backslash

syn	match	Special "\\$"
syn	match	Special "\\."

" score statements (f, t, i etc.)

syn	match	Statement	"^[ \t]*[[:alpha:]]"

" constants

syn	match	Constant	"\<[[:digit:]]\+\(\.[[:digit:]]\+\)\{,1\}\([Ee][+-]\{,1\}[[:digit:]]\+\)\{,1\}\>"
syn	match	Constant	"\".*\""

" include files and macros

syn	match	PreProc	"#"
syn	match	PreProc	"#include"
syn	match	PreProc	"#define"
syn	match	PreProc	"#define[^#]*#"
syn	match	PreProc	"#undef.*$"
syn	match	PreProc	"\$[[:alpha:]][[:alnum:]_]*\(([^()]*)\)\{,1\}\.\{,1\}"

" some useful keyboard shortcuts

" F12: score template

map!	<F12>	<CR>t 0 120.0<TAB>; tempo<CR><CR>#include "fgen.h.sco"<CR>;include "../effect/roomparams.sco"<CR><CR>;include "score.out.sco"<CR><CR>i 1<TAB> 0.000<TAB> 1.000<TAB>69<TAB>127<CR><CR>; output instr<CR>i 90<TAB> 0.000<TAB>34.000<CR><CR>e<TAB>; end of score<CR>

